package org.keti.pscm.controller;

import javax.swing.JOptionPane;


//MVC
import java.io.IOException;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.sql.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.keti.pscm.domain.Userjoin;
import org.springframework.stereotype.Controller;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.EmptyResultDataAccessException;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;

import com.mysql.jdbc.Connection;
import com.mysql.jdbc.Statement;

//add 0807


import javax.sql.DataSource;

import com.oracle.net.*;
import com.oracle.*;
@Controller
// 요청을 처리하기 위한 Controller bean으로 지정
public class JspController {
	@Autowired
	JdbcTemplate jdbcTemplate;

	@RequestMapping("/Logout")
	// 세션사용페이지
	public String Logout(ModelAndView modelAndView) {
		return "/Logout";
	}
	
//add	
	

	/*Userjoin mbDAO;
	@RequestMapping(value = "/overlaptest.do")
	@ResponseBody
	public String overlapTest(String username){
	String count_Id = mbDAO.overlaptest(username);
	return count_Id;
	}
	
*/
	@RequestMapping("/join")
	// 세션사용페이지
	public String join(ModelAndView modelAndView) {
		return "/join";
	}

	@RequestMapping("/instance")
	// 세션사용페이지
	public String instance(ModelAndView modelAndView) {
		return "/instance";
	}
	@RequestMapping("/instance2")
	// 세션사용페이지
	public String instance2(ModelAndView modelAndView) {
		return "/instance2";
	}
	@RequestMapping("/instance3")
	// 세션사용페이지
	public String instance3(ModelAndView modelAndView) {
		return "/instance3";
	}
	@RequestMapping("/instance4")
	// 세션사용페이지
	public String instance4(ModelAndView modelAndView) {
		return "/instance4";
	}
	
	@RequestMapping("/about")
	public String about(ModelAndView modelAndView) {
		return "/about";
	}

	@RequestMapping("/checkid")
	public String checkid(ModelAndView modelAndView) {
		return "/checkid";
	}
	@RequestMapping("/joinpage")
	public String joinpage(ModelAndView modelAndView) {
		return "/joinpage";
	}

	/*
	 * @RequestMapping("/pscm") public String original(ModelAndView
	 * modelAndView){ return "pscm"; }
	 */

		
		
	@RequestMapping(value = "/cms", method = RequestMethod.GET)
	public String loginForm(Model model, HttpSession session) {
		model.addAttribute("login", new Userjoin());
		return "/cms";
	}

	@RequestMapping(value = "/cms", method = RequestMethod.POST)
	public String loginsubmit(@ModelAttribute Userjoin login, Model model,
			HttpSession session, HttpServletRequest request)
			throws SQLException {
		model.addAttribute("login", login);

		// String query =
		// "select *from userjoin where(username=username2 and password=password2)"+"values(?,?)";
		String query = "select * from userjoin where(username=?)";
		Userjoin obj;
		try {
			obj = jdbcTemplate.queryForObject(query,
					new Object[] { login.username }, new RowMapper<Userjoin>() {
						public Userjoin mapRow(ResultSet rs, int rowNum)
								throws SQLException {
							Userjoin o = new Userjoin();
							o.username = rs.getString("username");
							o.password = rs.getString("password");

							return o;
						}

					}

			);
		} catch (EmptyResultDataAccessException e) {

			return "result_not";
		}

		if (obj.password.equals(login.password)) {

			session.setAttribute("userLoginInfo", obj);

			return "/cms";
		} else
			return "result_fail";

	}

	@RequestMapping(value = "/join", method = RequestMethod.GET)
	public String greetingForm(Model model) {
		model.addAttribute("join", new Userjoin());

		return "join";
	}

	@RequestMapping(value = "/join", method = RequestMethod.POST)
	public String greetingSubmit(@ModelAttribute Userjoin join, Model model){
		model.addAttribute("join", join);
		
		
			String query = "insert into userjoin (username,email,password,contact_num,password_check)"
					+ "values(?,?,?,?,?)";
			Object[] params = new Object[] { join.username, join.email,
					join.password, join.contact_num, join.password_check };
			
			if(join.password.equals(join.password_check))
			{
				jdbcTemplate.update(query, params);

				return "joinpage";
			}
			else					
				return "join";
	
		
		}
	
		
	}


//JOptionPane.showMessageDialog(null, "비밀번호가 다릅니다","경고",JOptionPane.WARNING_MESSAGE); 


// ModelAndView는 Controller의 처리 결과를 보여줄 view와 view에서 사용할 값을 전달하는 클래스

// @RequestMapping("/hello") : "/hello" 로 시작하는 모든 request를 처리하는 Controller 라고 지정

/*
 * application.properties.. create an mvc web application using Spring. use JSP
 * 
 * Add file src/main/resources/application.properties with content
 * 
 * spring.view.prefix: /WEB-INF/jsp/ spring.view.suffix: .jsp
 */