<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ page session="true"%>
<!-- request.getContextPath()는 프로젝트 path만 얻어온다 : 경로만 얻는다-->
<%
	String cp = request.getContextPath();
%>
<%--ContextPath를 cp변수로 선언 --%>
<html lang="ko">
<!-- specifies a language code -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<!-- bootstrap 추가, 경로
	<meta name="description" content="A description of the page" /> : 페이지에 대한 짧은 설명을 제공하는 태그
	<meta name="robots" content="..., ..." /> 검색엔진의 크롤링 및 색인 생성 기능을 조정하는 태그
	 <meta name="viewport"> 태그를 지원
	-->
<!-- 모바일로 최적화된 사이트는 일반적으로 다음과 같은 태그를 포함한다: <meta name="viewport" content="width=device-width, user-scalable=no">
	device-width는 100% 스케일에서 CSS 픽셀들로 계산된 화면의 폭을 의미
	initial-scale 속성은 페이지가 처음 로드될 때 줌 레벨을 조정한다. maximum-scale, minimum-scale, 그리고 user-scalable 속성들은 사용자가 얼마나 페이지를 줌-인, 줌-아우트 할 수 있는지를 조정한다.
	-->
<meta name="viewport" content="width=device-width, initial-scale=1">
<link href="<%=cp%>/resources/bootstrap/css/bootstrap.min.css"
	rel="stylesheet">

<!-- jQuery 추가 / in this order. script.js will contain-->
<script src="http://code.jquery.com/jquery-2.1.1.min.js"
	type="text/javascript"></script>
<script src="<%=cp%>/resources/bootstrap/js/bootstrap.min.js"></script>

<!-- 사용자의 브라우저에 검색결과의 제목 -->
<title>Insert title here</title>
<style>
.container {
	width: 90%;
	margin: auto;
}

.youtubeWrap {
	position: relative;
	width: 100%;
	padding-bottom: 56.25%;
}

.youtubeWrap iframe {
	position: absolute;
	width: 100%;
	height: 100%;
}
</style>
</head>
<!-- //자바스크립트 시작 -->
<SCRIPT LAUNGUAGE='JAVASCRIPT'>


	function test() {//test함수정의
		console.log("함수실행");
		alert("로그아웃합니다");
		location.href = "Logout";

	}

	$(document).ready(function() {
		console.log("ready");
		console.log("${sessionScope.userLoginInfo.username}");

		function open() {

			document.getElementById('inputlogin').style.display = "inline";

		}

		function close() {

			document.getElementById('inputlogin').style.display = "none";

		}

		if ("${sessionScope.userLoginInfo.username}") {
			console.log("1");
			$(login1).hide();
			$(inputlogin).hide();
			$(login2).show();

		}
		
		else {
			console.log("2");
			$(login1).show();
			$(inputlogin).show();
			$(login2).hide();

		}
		

	});
</SCRIPT>

<!-- <body style="background: #80BFFF"> -->
<body>
	<div class="navbar navbar-inverse">
		<div class="container">
			<div class="navbar-header">
				
				<button type="button" class="navbar-toggle" data-toggle="collapse"
					data-target=".navbar-collapse">
					<span class="icon-bar"></span> <span class="icon-bar"></span> <span
						class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="http://192.168.122.1:8080/cms">CMS</a>
			</div>
			<div class="navbar-collapse collapse">
				<ul class="nav navbar-nav">
					<li><a href="http://192.168.122.1:8080/about">About</a></li>
					<li><a href="#contact">Contact</a></li>

				</ul>
				<form class="navbar-form navbar-right" method="post">

					<div class="form-group" id="inputlogin">
						<input type="text" placeholder="User ID" class="form-control"
							name="username"> <input type="password"
							placeholder="Password" class="form-control" name="password">
					</div>


					<span id="login1">
						<button class="btn btn-success" type="submit"
							onclick="$('#inputlogin').hide(), $('#login2').show()">로그인</button>
						<a href="http://192.168.122.1:8080/join" class="btn btn-danger">회원가입</a>

					</span> <span id="login2" style="display: none;"> <font size="4"
						color="gold" face="돋움">${sessionScope.userLoginInfo.username}님
							로그인되었습니다.</font> <input id="logout" class="btn btn-success"
						type="button" onClick="test()" value="로그아웃">
					</span>


				</form>
			</div>

			<!--/.navbar-collapse <a href="http://192.168.2.90:8080/pscm"
						class="btn btn-success" >로그아웃</a>-->
		</div>
	</div>
<input type="button"  name="back" value="뒤로가기" onClick="javascript:history.go(-1);"/>
	<!-- Main jumbotron for a primary marketing message or call to action -->
	<div class="jumbotron">
		<div class="container">

			<h1>Cloud Monitoring System</h1>
			<p>QoS management for the cloud-based procurement system.</p>
			<p>
				<a class="btn btn-primary btn-lg">Learn more &raquo;</a>
			</p>
		</div>
	</div>

	<div class="container">
		<!-- Example row of columns -->

		<div class="row">
			<div class="col-lg-4">
				<h2>Monitoring service</h2>
				<p>Monitoring Instance Status</p>
				<p>
					<a class="btn btn-default"
						href="http://192.168.122.1:8080/instance">View details &raquo;</a>
				</p>
			</div>
			<div class="col-lg-4">
				<h2>Notice</h2>
				<p>description</p>
				<p>
					<a class="btn btn-default" href="#">View details &raquo;</a>
				</p>
			</div>
			<div class="col-lg-4">
				<h2>Company List</h2>
				<p>Related Company Contact</p>
				<p>
					<a class="btn btn-default" href="#">View details &raquo;</a>
				</p>
			</div>
		</div>

		<hr>

		<footer>
		<p>
			<a class="navbar-brand" href="http://192.168.122.1:8080/cms"><img
			
					src="<%=cp%>/resources/images/logo1.png" /></a> <a
					class="navbar-brand" href="http://192.168.122.1:8080/cms"><img
					src="<%=cp%>/resources/images/logo3.png" /></a>
				 <br>
		</p>
		</footer>
	</div>
	<!-- /container -->

	<div class=".col-xs .col-sm hidden-md hidden-lg">모바일로접속</div>


</body>
</html>

